BSDPORTAL.RU

На этом сайте обсуждаются вопросы использования ОС FreeBSD
 Портал  •  Статьи  •  Форум  •  Wiki  •  Поиск  •  FAQ  •  Обои  •   Официальная документация  •  Новые темы 

Часовой пояс: UTC + 4 часа




Начать новую тему Эта тема закрыта, вы не можете редактировать и оставлять сообщения в ней.  [ Сообщений: 229 ]  На страницу 1, 2, 3, 4, 5 ... 12  След.
Автор Сообщение
 Заголовок сообщения: Adobe Flash Player 11 и FreeBSD 8.x и 9.x
СообщениеДобавлено: Пн 14 дек, 2009 12:56 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
Тема закрыта:
Цитата:
UPDATING
20140922:
AFFECTS: users of emulators/linux_base-f10 and emulators/linux_base-c6
AUTHOR: xmj@FreeBSD.org


Установка Adobe Flash 11 во FreeBSD 8.x и 9.x (i386 и amd64)

Включаем режим совместимости с Linux и linprocfs.

Добавляем в
Код:
/etc/rc.conf
  linux_enable="YES"

загружаем
Код:
#kldload linux

посмотреть
Код:
#sysctl compat.linux.osrelease > должно быть 2.6.16

Установить Linux
Код:
#cd /usr/ports/emulators/linux_base-f10 && make install clean

В /etc/fstab: Для 8.х
Код:
   linproc /usr/compat/linux/proc linprocfs rw 0 0
   


для 8.х на ZFS и 9.0
Код:
linproc  /compat/linux/proc  linprocfs   rw   0   0

Можно еще добавить
Код:
linsys  /compat/linux/sys    linsysfs   rw      0   0

но для флеша это не нужно.

Устанавливаем Flash плагин и nspluginwrapper из портов:
Код:
 
   #cd /usr/ports/www/linux-f10-flashplugin11 && make install clean
   #cd /usr/ports/www/nspluginwrapper && make install clean


Активируем плагин в nspluginwrapper:
от юзвера
Код:
%nspluginwrapper -v -a  -i /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so

выдаст такое:

Цитата:
Auto-install plugins from /usr/local/lib/browser_plugins
Looking for plugins in /usr/local/lib/browser_plugins
Auto-install plugins from /usr/local/lib/npapi/linux-f10-flashplugin
Looking for plugins in /usr/local/lib/npapi/linux-f10-flashplugin
Install plugin /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so
into /home/ankor/.mozilla/plugins/npwrapper.libflashplayer.so
Auto-install plugins from /home/ankor/.mozilla/plugins
Looking for plugins in /home/ankor/.mozilla/plugins
%


Перезапускаем Firefox и проверяем активность плагина, введя в адресном поле about:plugins

Если Flash плагин не обнаружен

то в Firefox-e Инструменты-> Дополнения-> Плагины: Включить
посмотреть about:plugins
Konqueror то-же работает с флешом.

Для тех кто на Опере, дополнительно установить
Код:
cd /usr/ports/www/opera-linuxplugins && make install clean

чтобы Опера флеш увидела.

Здесь установка описана на голую систему, если у вас до этого
стояла какая нибудь Линух_база, то вам сюда -> viewtopic.php?t=21914

gx писал(а):
для firefox можно установить flashblock, включать флеш только когда он нужен) Wink

https://addons.mozilla.org/en-US/firefox/addon/433/


а с flashblock гораздо удобнее.


Последний раз редактировалось ankor Вт 30 апр, 2013 4:00 pm, всего редактировалось 35 раз(а).

Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пн 14 дек, 2009 1:53 pm 
Не в сети
Site Admin
Аватара пользователя

Зарегистрирован: Чт 23 окт, 2003 12:31 pm
Сообщения: 559
Спасибо за мануальчик, в опере тоже заработало... ;)


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вт 15 дек, 2009 11:16 pm 
Не в сети

Зарегистрирован: Пт 26 июн, 2009 9:07 pm
Сообщения: 3
Откуда: Санкт-Петербург
Огромное спасибо! В mozille, то бишь seamonkey 1.1.18 завелось.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вт 15 дек, 2009 11:19 pm 
Не в сети

Зарегистрирован: Чт 14 май, 2009 6:56 pm
Сообщения: 806
А я сразу поставил 10ый, он заработал, я и подумал, что так оно и должно быть. Он что, не работал в 7ой фре?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 16 дек, 2009 12:16 am 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
arrowdodger писал(а):
А я сразу поставил 10ый, он заработал, я и подумал, что так оно и должно быть. Он что, не работал в 7ой фре?

А никто и не говорит, что не работало, только не у всех работало :)


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс 17 янв, 2010 4:03 pm 
Не в сети
Аватара пользователя

Зарегистрирован: Вс 01 фев, 2009 3:01 pm
Сообщения: 106
Откуда: Москва
Код:
#cd /usr/ports/www/linux-f10-flashplugin10 && make install clean 

Раньше работал, а теперь нет...
Ищи flashplugin-10.or32 по всему свету.., почему отключили - непонятно.. :?:


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вт 19 янв, 2010 1:02 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
greyhat писал(а):
Код:
#cd /usr/ports/www/linux-f10-flashplugin10 && make install clean 

Раньше работал, а теперь нет...
Ищи flashplugin-10.or32 по всему свету.., почему отключили - непонятно.. :?:

И работает проблем нет и почему flashplugin-10.or32
что мешает использовать?
Код:
linux-f10-flashplugin-10.0r42 Adobe Flash Player NPAPI Plugin


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 5:02 am 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
а почему у меня так?
Код:
gw# sysctl compat.linux.osrelease
compat.linux.osrelease: 2.6.16
gw# cd /usr/ports/emulators/linux_base-10 && make install clean
/usr/ports/emulators/linux_base-10: No such file or directory.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 9:41 am 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
karp писал(а):
а почему у меня так?
Код:
gw# sysctl compat.linux.osrelease
compat.linux.osrelease: 2.6.16
gw# cd /usr/ports/emulators/linux_base-10 && make install clean
/usr/ports/emulators/linux_base-10: No such file or directory.

Потому, что портов нет.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 9:50 am 
Не в сети
Модератор

Зарегистрирован: Сб 11 сен, 2004 6:33 am
Сообщения: 5273
Откуда: Москва
karp писал(а):
Код:
gw# cd /usr/ports/emulators/linux_base-10 && make install clean
/usr/ports/emulators/linux_base-10: No such file or directory.

Потому что /usr/ports/emulators/linux_base-f10


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 3:25 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
AMDmi3 писал(а):
karp писал(а):
Код:
gw# cd /usr/ports/emulators/linux_base-10 && make install clean
/usr/ports/emulators/linux_base-10: No such file or directory.

Потому что /usr/ports/emulators/linux_base-f10

спасибо, сделал, только в опере почему то не работает... :cry:


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 4:04 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
karp писал(а):
спасибо, сделал, только в опере почему то не работает... :cry:

У меня работает.
Посмотри здесь -> http://bsdportal.ru/viewtopic.php?t=21914


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 6:07 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
ankor писал(а):
karp писал(а):
спасибо, сделал, только в опере почему то не работает... :cry:

У меня работает.
Посмотри здесь -> http://bsdportal.ru/viewtopic.php?t=21914

посмотрел, непонятно мне, у меня в фаерфоксе, везде работает, а там в фаерфоксе не работало... а от сборки оперы зависит?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 6:12 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
karp писал(а):
... а от сборки оперы зависит?

А какая у тебя Опера?
У меня такая:
Код:
opera-10.10.20091120 Blazingly fast, full-featured, standards-compliant browser


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 6:37 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
ankor писал(а):
karp писал(а):
... а от сборки оперы зависит?

А какая у тебя Опера?
У меня такая:
Код:
opera-10.10.20091120 Blazingly fast, full-featured, standards-compliant browser

вот:
Код:
Версия:
10.10
Сборка:
4742
Платформа:
FreeBSD
Система:
i386, 8.0-RELEASE
Библиотека Qt
3.3.8
Версия Java:
Установлена Java Runtime Environment

или как еще можно посмотреть?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 6:43 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
То-же самое.
Код:
Version information
Version 10.10
Build 4742
Platform
FreeBSD System i386, 8.0-STABLE
Qt library 3.3.8
Java
Java Runtime Environment installed

Посмотреть можно и так:
pkg_info | grep opera


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 6:52 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
Цитата:
pkg_info | grep opera
спасибо!
не хочет работать флеш... :shock:


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 7:13 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
В адресной строке набери opera:plugins
У меня вот что выдало:
Код:
Plug-ins
Shockwave Flashapplication/futuresplash   spl
application/x-shockwave-flash   swf
/usr/home/an/.mozilla/plugins/npwrapper.libflashplayer.so


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 7:24 pm 
Не в сети

Зарегистрирован: Ср 06 янв, 2010 10:53 pm
Сообщения: 150
Код:
Плагины
Ничего не найдено

что делать?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 20 янв, 2010 7:38 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5459
Откуда: СССР, Харьков
Я так понял в Лисе работает без проблем, а в Опере нет, на одном компе?
посмотреть
Код:
%nspluginwrapper -l

выдает:
Цитата:
/home/an/.mozilla/plugins/npwrapper.libflashplayer.so
Original plugin: /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so
Wrapper version string: 1.2.2


Вернуться к началу
 Профиль  
 
Показать сообщения за:  Поле сортировки  
Начать новую тему Эта тема закрыта, вы не можете редактировать и оставлять сообщения в ней.  [ Сообщений: 229 ]  На страницу 1, 2, 3, 4, 5 ... 12  След.

Часовой пояс: UTC + 4 часа


Кто сейчас на конференции

Зарегистрированные пользователи: Google [Bot], Majestic-12 [Bot]


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Создано на основе phpBB® Forum Software © phpBB Group
Русская поддержка phpBB
Яндекс.Метрика